//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;

namespace CommunityServer.Components
{
	/// <summary>
	/// Contains a collection of IndexPosts
	/// </summary>
	[Serializable]
	public class ResultsCollection : IEnumerable
	{
        //Note: This class will be moving to CS.Components


		private ArrayList posts = new ArrayList();
		
		public ResultsCollection()
		{
		}

		#region IEnumerable Members

		public IEnumerator GetEnumerator()
		{
			return posts.GetEnumerator();
		}
        #endregion

		public int Count
		{
			get { return posts.Count;}
		}

		internal void Add(IndexPost post)
		{
			posts.Add(post);
		}

		public long Duration
		{
			get {return duration;}
            set { duration = value;}
		}

		public int TotalResults
		{
			get {return totalresults;}
            set { totalresults = value;}
		}

		private long duration;
		private int totalresults;


	}
}
